@media (max-width: 1600px) {
    .header__top .account-guest-user:before,
    .header__top .woo-mini-cart:before,
    .header__top .my-wishlist__wrapper:before {
        right: 12px;
        left: auto;
    }
}


@media (min-width: 1340px) and ( max-width: 1520px) {

    .full-product .woocommerce-product-gallery {
        max-width: 550px;
    }
}

@media screen and (min-width: 993px) {

    .woo-product-swiper-gallery .sliders__wrapper .gallery-thumbsSlider {
        width: 70px;
    }

    .woo-product-swiper-gallery .sliders__wrapper .gallery-mainSlider {
        width: calc(100% - 100px);
        position: relative;
        overflow: hidden;
    }

    .woo-product-swiper-gallery .sliders__wrapper .gallery-mainSlider,
    .woo-product-swiper-gallery .sliders__wrapper .gallery-thumbsSlider,
    .woo-product-swiper-gallery .sliders__wrapper .gallery-mainSlider img {
        max-height: 450px;
        -o-object-fit: contain;
        object-fit: contain;
    }

    .full-product .woocommerce-tabs {
        margin-top: 55px;
    }

}

@media ( min-width: 960px) {
    .header__top .toolbox-group:nth-last-child(2) {
        margin-right: 0;
    }


}

@media ( max-width: 1280px) {
    .woocommerce-checkout .woocommerce-checkout #customer_details {
        width: 45%;
        padding-right: 25px;
    }

    .woocommerce-checkout .woocommerce-checkout .checkout__total-block {
        width: 50%;
    }

    .full-product .woocommerce-product-gallery {
        max-width: 47%;
    }

    .full-product div.summary {
        max-width: 47% !important;
        float: right !important;
    }


    .full-product .woo-sidebar-option {
        margin-left: 0;
        float: none;
        width: 100%;
    }

    .single-product-related {
        margin-top: 40px;
    }

    .front-page__small-banner img {
        width: 100%;
    }

    .header__top .logo-text {
        display: none;
    }

    .woo-product-swiper-gallery .sliders__wrapper {
        max-height: 100%;
    }

    .woo-sidebar-option {
        background: #fafafa;
        float: none;
        width: 100%;
        max-width: 100%;
        margin-left: 0;
        padding: 20px 30px;
        display: -webkit-inline-box;
        display: -ms-inline-flexbox;
        display: inline-flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        gap: 10px 20px;
        grid-gap: 10px 20px;
    }

    .woo-sidebar-option__item {
        margin-bottom: 0;
    }

    .woo-sidebar-option__item .icon {
        margin-right: 10px;
    }

    .full-product {
        padding: 40px 0 0;
    }
}


@media ( max-width: 960px) {

    .header__top .logo-text {
        display: inline-block;
    }

    .woocommerce-checkout .woocommerce-checkout .woocommerce-checkout-review-order {
        padding: 20px 10px 30px;
    }

    .woocommerce-checkout .woocommerce-checkout #customer_details {
        float: none;
        width: 100%;
        padding-right: 0;

    }

    .woocommerce-checkout .woocommerce-checkout .checkout__total-block {
        float: none;
        width: 100%;
        margin-top: 25px;
    }

    .woocommerce-checkout #order_review_heading {
        padding: 7px;
    }

    .page-contacts .contact-cards__wrapper {
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        gap: 40px;
    }

    .header__top .navbar-toolbox .account__wrapper > .top .text,
    .header__top .navbar-toolbox .woo-mini-cart__wrapper > .top .text,
    .header__top .navbar-toolbox .woo-wishlist__wrapper > .top .text,
    .header__top .header-option-menu,
    .header-contact-info {
        display: none;
    }

    .full-product div.product div.summary,
    .full-product .woocommerce-product-gallery {
        width: 100% !important;
        max-width: 100%;
        margin-left: 0;
    }

    .full-product div.product div.summary,
    .woocommerce div.product div.images.woocommerce-product-gallery {
        float: none;
    }

    .main-slider__wrapper .swiper-banner {
        margin-left: 0;
    }

    .woo-mini-cart__wrapper .cart-count, .woo-wishlist__wrapper .woo-wishlist-count {
        top: -5px;
        left: 19px;
    }


    .woocommerce-thankyou-order-details > li {
        float: none !important;
        border-right: none !important;
        text-transform: inherit !important;
        font-size: 15px !important;
        line-height: 1.3 !important;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
    }

    .woocommerce-thankyou-order-details li strong {
        line-height: 1.3 !important;
        font-size: 15px !important;
        margin-left: 5px;
    }


    .woocommerce-thankyou-order-details > li:not(:last-child) {
        margin-bottom: 10px;
    }


    .woocommerce-cart-form {
        float: none;
        width: 100%;
        padding-right: 0;
        padding-bottom: 0;
        border-right: none;
    }

    table.woocommerce-checkout-review-order-table .product-name {
        width: auto !important;
    }

    .woocommerce .cart-collaterals {

        padding-left: 0;
    }


    .woocommerce #content table.cart td.actions .coupon,
    .woocommerce table.cart td.actions .coupon,
    .woocommerce-page #content table.cart td.actions .coupon,
    .woocommerce-page table.cart td.actions .coupon {
        padding-bottom: 0;
    }

    .woocommerce-cart-form .shop_table .actions .coupon #coupon_code,
    .woocommerce .cart-collaterals {
        float: none;
        width: 100%;
    }

    .woocommerce-checkout .woocommerce-billing-fields .form-row,
    .woocommerce-form-register .form-row {
        float: none !important;
        width: 100% !important;
    }

    .woocommerce-privacy-policy-text,
    .woocommerce-form-login .wc-social-login > * {
        font-size: 13px;
    }

    .woo-sidebar .woo-categories {
        display: none;
    }

    .header__top .uk-grid > div:nth-child(2) {
        -webkit-box-pack: right;
        -ms-flex-pack: right;
        justify-content: right;
    }

    .wpf-trigger-filter-mob {
        display: block;
    }

    .wpf-filters__wrapper .back {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
    }

    .wpf-filters__wrapper {
        position: fixed;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        -webkit-transform: translateX(-100%);
        -ms-transform: translateX(-100%);
        transform: translateX(-100%);
        -webkit-transition: .3s ease-in-out;
        -o-transition: .3s ease-in-out;
        transition: .3s ease-in-out;
        overflow: auto;
        padding-bottom: 30px;
    }

    .wpf-filters__wrapper.show {
        -webkit-transform: translateX(0);
        -ms-transform: translateX(0);
        transform: translateX(0);
    }

    .header__top .navbar-searchbox,
    .header__top .navbar-toolbox {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        height: 100%;
    }

    .page-contacts .section-title {
        font-size: 30px;
        margin-bottom: 40px;
        text-align: center;
    }

    .woocommerce-checkout-review-order-table tbody th,
    .woocommerce-checkout-review-order-table tfoot th,
    .woocommerce-checkout-payment label,
    .woocommerce-checkout-review-order-table tfoot .woocommerce-Price-amount {
        font-size: 15px;
    }


    .woocommerce-error, .woocommerce-info, .woocommerce-message {
        font-size: 13px;
    }

    .woocommerce-product-gallery {
        max-height: 100%;
    }

    .gallery-thumbsSlider {
        margin-top: 25px;
    }

    .woocommerce-product-gallery .gallery-mainSlider {
        width: 100%;
        -o-object-fit: cover;
        object-fit: cover;
    }

    .woocommerce-product-gallery {
        margin-bottom: 30px;
    }

    .woo-product-swiper-gallery .swiper-pagination {
        display: block;
    }

    .woocommerce-page div.product div.summary {
        max-width: 100% !important;
        float: none !important;
    }

    .full-product .woocommerce-tabs {
        margin-top: 30px;
    }

    .gallery-mainSlider .swiper-slide img {
        height: 450px;
        max-height: 100%;
        -o-object-fit: contain;
        object-fit: contain;
    }
}


@media ( max-width: 768px) {

    .full-product .woocommerce-variation-price .woocommerce-Price-amount,
    .full-product p.price > ins .woocommerce-Price-amount,
    .full-product p.price > .woocommerce-Price-amount,
    .single-product .price-business, .full-product .price-business ins .woocommerce-Price-amount {
        font-size: 28px;
    }

    .full-product .price-original .sales-price, .full-product .price__block .sales-price, .full-product .original-price:not(.has-sales) {
        font-size: 18px;
    }

    .woocommerce table.shop_table_responsive tr td::before,
    .woocommerce-page table.shop_table_responsive tr td::before {
        font-size: 14px;
    }


    .footer-top .column-2 > div {
        -webkit-box-align: start;
        -ms-flex-align: start;
        align-items: start;
    }

    .footer-top [class^=column-]:not(:first-child) {
        margin-top: 25px;
    }

    .reviews__header {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
    }

    .trigger-review-modal {
        margin-top: 25px;
    }


    .full-product .woocommerce-Tabs-panel {
        padding: 8px 20px 20px !important;
    }

    .section-product__custom-reviews {
        padding: 30px 0;
    }

    .woocommerce-cart-form__cart-item .variation {
        text-align: left;
    }

    .dgwt-wcas-search-wrapp {
        max-width: 34px;
        min-width: 34px;
    }

    .dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input,
    .dgwt-wcas-search-form {
        padding: 0;
        width: 34px;
        height: 34px;
    }

    .dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input::-webkit-input-placeholder {
        color: transparent;
    }

    .dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input::-moz-placeholder {
        color: transparent;
    }

    .dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input:-ms-input-placeholder {
        color: transparent;
    }

    .dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input::-ms-input-placeholder {
        color: transparent;
    }

    .dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input::placeholder {
        color: transparent;
    }

    .header__top .uk-grid > div:last-child {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
    }

    .header__top .uk-grid > div:nth-child(2) {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        justify-items: right;
    }

    .header__top .uk-grid > * {
        padding-left: 20px;
    }

    .page-contacts .section-title,
    .page-default h1.entry-title {
        font-size: 25px;
        margin-bottom: 30px;
        text-align: center;
    }

    #product-reviews-react .review-item__info {
        display: flex;
    }

    #product-reviews-react .review-author__avatar {
        margin-right: 10px;
        width: 40px;
        height: 40px;
        font-size: 15px;
    }

    #product-reviews-react .review-author__name {
        margin: 0;
    }

    #product-reviews-react .variations .ant-tag {
        margin-inline-end: 0;
    }

    #product-reviews-react .customer-review {
        border-left: 0;
    }

    .full-product .product_title {
        font-size: 18px;
    }

    .woocommerce div.product div.images {
        margin-bottom: 0;
    }

    .woo-meta-info,
    .woocommerce div.product .woocommerce-product-rating {
        margin-bottom: 15px;
    }

    .summary .price__block {
        margin-top: 20px;
    }

    .woo-variation-swatches .wvs-style-squared.variable-items-wrapper .variable-item:not(.radio-variable-item).button-variable-item .variable-item-span {
        font-size: 13px;
        padding: 5px 6px;
    }

    .recently-viewed {
        padding: 30px 0;
    }

    .single-product-related .section-title, .recently-viewed .section-title {
        font-size: 20px;
    }

    .woocommerce .woocommerce-result-count {
        display: none;
    }

    .navbar-toolbox .woo-mini-cart__wrapper > .bottom,
    .navbar-toolbox .account__wrapper > .bottom,
    .navbar-toolbox .woo-wishlist__wrapper > .bottom,
    .loop-product__wrapper-btn-cart .text {
        display: none;
    }

    .woocommerce-error, .woocommerce-info, .woocommerce-message {
        font-size: 13px;
        line-height: 1.4;
    }

    .woocommerce-cart-form .shop_table .quantity {
        text-align: right;
    }

    .loop-product__wrapper-btn-cart .icon-cart-mobile {
        display: inline-block;
    }

    .loop-product .add_to_cart_button:before,
    .loop-product .add_to_cart_button.added:after,
    .loop-product .add_to_cart_button:hover:before {
        content: none !important;
    }

    .loop-product .add_to_cart_button,
    .loop-product .product_type_variable,
    .loop-product .button:not(.add_to_cart_button) {
        padding: 0 !important;
        height: 40px;
        width: 40px;
        display: -webkit-box !important;
        display: -ms-flexbox !important;
        display: flex !important;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
    }


    .woocommerce-table--order-details tbody .product-total,
    .woocommerce-table--order-details tfoot td {
        text-align: center !important;
    }

    #customer_login .col-2 {
        margin-top: 30px;
    }


    .loop-product .woocommerce-loop-product__title span {
        font-size: 13px;
        height: 52px;
    }

    .woocommerce-shop .products .uk-first-column,
    .woocommerce-page .products .uk-first-column,
    .cross-sells .products .uk-first-column {
        padding-left: 0;
    }

    .woocommerce-message {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: reverse;
        -ms-flex-direction: column-reverse;
        flex-direction: column-reverse;
    }

    .woocommerce-message .wp-element-button {
        display: block;
        text-align: center;
        float: none !important;
        margin-top: 5px !important;
    }

    .woocommerce-checkout-review-order .product-total,
    .woocommerce-checkout-review-order .cart-subtotal td {
        text-align: right;
    }

    .woocommerce-checkout-review-order .cart-subtotal td {
        padding: 15px 5px;
    }

    .page-template-default .page-default .entry-content h3 {
        font-size: 20px;
    }

    .page-template-default .page-default .entry-content * + h3 {
        margin-top: 20px;
    }

    #product-reviews-react .recommending-reviews, #product-reviews-react .customer-review {

        height: 100%;
        padding: 5px 5px;
    }

    #product-reviews-react .reviews-product-rating {
        min-width: auto;
    }

    #product-reviews-react .reviews__header .col-1 {
        justify-content: center;
        display: flex;
        width: 100%;
        margin-bottom: 20px;
    }

    #product-reviews-react .reviews__header .col-2,
    #product-reviews-react .reviews__header .col-3 {
        width: 50%;
    }


    .woocommerce table.shop_table_responsive tr td::before,
    .woocommerce-page table.shop_table_responsive tr td::before {
        margin-right: 5px;
    }

    .woocommerce table.shop_table tbody tr td, .woocommerce table.shop_table tbody tr th {
        padding: 10px 5px;
    }

    .shop-loop__category-description {
        padding-left: 0;
    }

    .wcc-office-selector__option .wcc-office-selector__option-name {
        font-size: 13px;
    }

    .wcc-office-selector__option .wcc-office-selector__option-address {
        font-size: 11px;
    }

    .wcc-checkout .wcc-summary__submit .wcc-btn--success {
        padding: 10px 20px;
        line-height: 1.2;
        font-size: 15px;
    }

    .wcc-field__control::placeholder,
    .wcc-phone__input::placeholder,
    .wcc-coupon__input::placeholder,
    .wcc-office-selector__search-input::placeholder {
        font-size: 14px;
    }


}

@media ( max-width: 640px) {
    .wishlist-sidebar__notlogin {
        flex-direction: column;
        text-align: center;
    }

    .woo-sidebar-option {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
    }

    .loop-product__wrapper-btn-cart svg {

        display: block;
    }

    .page-contacts .wpcf7-submit {
        width: 100%;
    }

    .loop-product__wrapper-btn-cart .text {
        display: none;
    }


    .loop-product__options-actions {
        margin: 5px 0 10px;
    }

    #product-reviews-react .reviews-rating__number {
        font-size: 35px;
        line-height: 45px;
    }

    #product-reviews-react .reviews__header .ant-rate {
        font-size: 15px;
    }

    .wishlist-products__list .wishlist-product-item {
        flex-direction: column;
    }

    .wishlist-products__list .wishlist-product-item__thumb {
        height: 130px;
        width: 130px;
        margin: auto;
    }

    .wishlist-product-item .wishlist-product-item__block-addToCard {
        max-width: 100%;
        width: 100%;
    }

    .wishlist-product-item .wishlist-product__added,
    .wishlist-product-item .wishlist-product__price-history {
        text-align: left;
    }

    .my-account-content-order .woo-btn-again {
        width: auto;
    }

    .order-details .my-account-order-details {
        flex-direction: column;
    }

    .order-details .my-account-order-details__order-date {
        text-align: left !important;
    }

    .order-details .my-account-order-details {;
        gap: 10px;
    }

    .order-details .my-account-order-products__item {
        flex-wrap: wrap;
    }

    .order-details .my-account-order-products__item--actions {
        flex-basis: 100%;
    }


    .my-account-order-products__item--actions .btn-addToCard,
    .modal-form-review button[type=submit],
    .my-account-order-products__item--actions .btn-addToReview {
        max-width: 200px;
    }

    .my-account-order-details-products .my-account-order-products__item:not(:last-child) {
        border-bottom: 1px solid #ddd;
        padding-bottom: 25px;
    }

    .my-account-order-products__item--title {
        font-size: 13px;
    }

    .order-details .my-account-order-products__item .my-account-order-products__item--image img {
        width: 50px;
        height: 50px;
    }

    .my-account-order-details__order-date .label {
        display: none;
    }

    .my-account-orders .my-account-content-details__details-link,
    .my-account-orders .my-account-content-details__status span[class^="status-"],
    .my-account-orders .my-account-content-order .my-account-order-details__total,
    .modal-review .product-name,
    .modal-form-review .uk-input {
        font-size: 13px;
    }

    .my-account-orders .my-account-content-order {
        padding: 10px;
    }

    .modal-form-review button[type=submit] {
        margin-top: 0;
    }

    .woocommerce-MyAccount-navigation > ul {
        flex-direction: column;
    }

    .woocommerce-MyAccount-navigation > ul > li:not(:first-child) {
        margin: 0;
    }


}


@media ( max-width: 480px) {
    .dev-copy__wrapper {
        margin-top: 30px;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
    }

    .dev-copy__wrapper .copyright {
        margin-bottom: 10px;
    }

    .header__top .logo-text {
        display: none;
    }


    .gallery-mainSlider .swiper-slide img {
        height: 270px;
    }

    .my-account-orders .my-account-content-details__order-number {
        display: none;
    }

    .single-product div.quantity {
        margin: 0 20px 0 0 !important;
    }

    .full-product .price-original .original-price.has-sales,
    .full-product .price__block .original-price.has-sales {
        font-size: 18px;
    }


    .full-product .woocommerce-variation-price .woocommerce-Price-amount,
    .full-product p.price > ins .woocommerce-Price-amount, .full-product p.price > .woocommerce-Price-amount,
    .single-product .price-business, .full-product .price-business ins .woocommerce-Price-amount {
        font-size: 25px;
    }

    .full-product .price-original .sales-price, .full-product .price__block .sales-price, .full-product .original-price:not(.has-sales) {
        font-size: 15px;
    }


}